Index: /palm/trunk/SOURCE/transpose.f90
===================================================================
--- /palm/trunk/SOURCE/transpose.f90	(revision 4539)
+++ /palm/trunk/SOURCE/transpose.f90	(revision 4540)
@@ -670,75 +717,23 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Resorting data for the transposition from y to z. The transposition itself
-!> is carried out in transpose_yz
-!------------------------------------------------------------------------------!
+!> Resorting data for the transposition from y to z. The transposition itself is carried out in
+!> transpose_yz.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE resort_for_yz( f_in, f_inv )
 
 
-     USE indices,                                                              &
-         ONLY:  ny
-
-     USE kinds
-
-     USE transpose_indices,                                                    &
-         ONLY:  nxl_y, nxr_y, nzb_y, nzt_y
-
-     IMPLICIT NONE
-
-     REAL(wp) ::  f_in(0:ny,nxl_y:nxr_y,nzb_y:nzt_y)  !<
-     REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny) !<
-
-     INTEGER(iwp) ::  i !<
-     INTEGER(iwp) ::  j !<
-     INTEGER(iwp) ::  k !<
-
-!
-!-- Rearrange indices of input array in order to make data to be send
-!-- by MPI contiguous
-    !$OMP  PARALLEL PRIVATE ( i, j, k )
-    !$OMP  DO
-#if __acc_fft_device
-     !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
-     !$ACC PRESENT(f_inv, f_in)
-#endif
-     DO  k = nzb_y, nzt_y
-         DO  i = nxl_y, nxr_y
-             DO  j = 0, ny
-                 f_inv(i,k,j) = f_in(j,i,k)
-             ENDDO
-         ENDDO
-     ENDDO
-     !$OMP  END PARALLEL
-
- END SUBROUTINE resort_for_yz
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Transposition of input array (f_in) from y to z. For the input array, all
-!> elements along y reside on the same PE, while after transposition, all
-!> elements along z reside on the same PE.
-!------------------------------------------------------------------------------!
- SUBROUTINE transpose_yz( f_inv, f_out )
-
-
-#if defined( __parallel )
-    USE cpulog,                                                                &
-        ONLY:  cpu_log, cpu_log_nowait, log_point_s
-#endif
-
-    USE indices,                                                               &
-        ONLY:  ny, nz
+    USE indices,                                                                                   &
+        ONLY:  ny
 
     USE kinds
 
-    USE pegrid
-
-    USE transpose_indices,                                                     &
-        ONLY:  nxl_y, nxl_z, nxr_y, nxr_z, nyn_z, nys_z, nzb_y, nzt_y
+    USE transpose_indices,                                                                         &
+        ONLY:  nxl_y,                                                                              &
+               nxr_y,                                                                              &
+               nzb_y,                                                                              &
+               nzt_y
 
     IMPLICIT NONE
@@ -747,14 +742,78 @@
     INTEGER(iwp) ::  j  !<
     INTEGER(iwp) ::  k  !<
-#if defined( __parallel )
-    INTEGER(iwp) ::  l  !<
-    INTEGER(iwp) ::  zs !<
-#endif
-
-    REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny) !<
-    REAL(wp) ::  f_out(nxl_z:nxr_z,nys_z:nyn_z,1:nz) !<
-
-#if defined( __parallel )
-    REAL(wp), DIMENSION(nxl_z:nxr_z,nzt_y-nzb_y+1,nys_z:nyn_z,0:pdims(1)-1) ::  work !<
+
+    REAL(wp) ::  f_in(0:ny,nxl_y:nxr_y,nzb_y:nzt_y)   !<
+    REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny)  !<
+
+!
+!-- Rearrange indices of input array in order to make data to be send by MPI contiguous.
+   !$OMP  PARALLEL PRIVATE ( i, j, k )
+   !$OMP  DO
+#if __acc_fft_device
+    !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
+    !$ACC PRESENT(f_inv, f_in)
+#endif
+    DO  k = nzb_y, nzt_y
+        DO  i = nxl_y, nxr_y
+            DO  j = 0, ny
+               f_inv(i,k,j) = f_in(j,i,k)
+            ENDDO
+        ENDDO
+    ENDDO
+    !$OMP  END PARALLEL
+
+ END SUBROUTINE resort_for_yz
+
+
+!--------------------------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Transposition of input array (f_in) from y to z. For the input array, all elements along y reside
+!> on the same PE, while after transposition, all elements along z reside on the same PE.
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE transpose_yz( f_inv, f_out )
+
+
+#if defined( __parallel )
+    USE cpulog,                                                                                    &
+        ONLY:  cpu_log,                                                                            &
+               cpu_log_nowait,                                                                     &
+               log_point_s
+#endif
+
+    USE indices,                                                                                   &
+        ONLY:  ny,                                                                                 &
+               nz
+
+    USE kinds
+
+    USE pegrid
+
+    USE transpose_indices,                                                                         &
+        ONLY:  nxl_y,                                                                              &
+               nxl_z,                                                                              &
+               nxr_y,                                                                              &
+               nxr_z,                                                                              &
+               nyn_z,                                                                              &
+               nys_z,                                                                              &
+               nzb_y,                                                                              &
+               nzt_y
+
+    IMPLICIT NONE
+
+    INTEGER(iwp) ::  i  !<
+    INTEGER(iwp) ::  j  !<
+    INTEGER(iwp) ::  k  !<
+
+#if defined( __parallel )
+    INTEGER(iwp) ::  l   !<
+    INTEGER(iwp) ::  zs  !<
+#endif
+
+    REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny)  !<
+    REAL(wp) ::  f_out(nxl_z:nxr_z,nys_z:nyn_z,1:nz)  !<
+
+#if defined( __parallel )
+    REAL(wp), DIMENSION(nxl_z:nxr_z,nzt_y-nzb_y+1,nys_z:nyn_z,0:pdims(1)-1) ::  work  !<
 #if __acc_fft_device
     !$ACC DECLARE CREATE(work)
@@ -764,6 +823,6 @@
 
 !
-!-- If the PE grid is one-dimensional along y, only local reordering
-!-- of the data is necessary and no transposition has to be done.
+!-- If the PE grid is one-dimensional along y, only local reordering of the data is necessary and no
+!-- transposition has to be done.
     IF ( pdims(1) == 1 )  THEN
 
@@ -799,7 +858,6 @@
 
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLTOALL( f_inv(nxl_y,nzb_y,0),  sendrecvcount_yz, MPI_REAL, &
-                          work(nxl_z,1,nys_z,0), sendrecvcount_yz, MPI_REAL, &
-                          comm1dx, ierr )
+       CALL MPI_ALLTOALL( f_inv(nxl_y,nzb_y,0),  sendrecvcount_yz, MPI_REAL,                       &
+                          work(nxl_z,1,nys_z,0), sendrecvcount_yz, MPI_REAL, comm1dx, ierr )
 
 #if __acc_fft_device
@@ -840,79 +898,21 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Resorting data for the transposition from z to x. The transposition itself
-!> is carried out in transpose_zx
-!------------------------------------------------------------------------------!
+!> Resorting data for the transposition from z to x. The transposition itself is carried out in
+!> transpose_zx.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE resort_for_zx( f_in, f_inv )
 
 
-     USE indices,                                                              &
-         ONLY:  nxl, nxr, nyn, nys, nz
-
-     USE kinds
-
-     IMPLICIT NONE
-
-     REAL(wp) ::  f_in(1:nz,nys:nyn,nxl:nxr)  !<
-     REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz) !<
-
-     INTEGER(iwp) ::  i !<
-     INTEGER(iwp) ::  j !<
-     INTEGER(iwp) ::  k !<
-
-!
-!-- Rearrange indices of input array in order to make data to be send
-!-- by MPI contiguous
-    !$OMP  PARALLEL PRIVATE ( i, j, k )
-    !$OMP  DO
-#if __acc_fft_device
-    !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
-    !$ACC PRESENT(f_in, f_inv)
-#endif
-     DO  i = nxl, nxr
-         DO  j = nys, nyn
-             DO  k = 1,nz
-                 f_inv(j,i,k) = f_in(k,j,i)
-             ENDDO
-         ENDDO
-     ENDDO
-     !$OMP  END PARALLEL
-
- END SUBROUTINE resort_for_zx
-
-
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> Transposition of input array (f_in) from z to x. For the input array, all
-!> elements along z reside on the same PE, while after transposition, all
-!> elements along x reside on the same PE.
-!------------------------------------------------------------------------------!
- SUBROUTINE transpose_zx( f_inv, f_out )
-
-
-#if defined( __parallel )
-    USE cpulog,                                                                &
-        ONLY:  cpu_log, cpu_log_nowait, log_point_s
-
-    USE fft_xy,                                                                &
-        ONLY:  f_vec_x, temperton_fft_vec
-#endif
-
-    USE indices,                                                               &
-        ONLY:  nx, nxl, nxr, nyn, nys, nz
-#if defined( __parallel )
-    USE indices,                                                               &
-        ONLY:  nnx
-#endif
+    USE indices,                                                                                   &
+        ONLY:  nxl,                                                                                &
+               nxr,                                                                                &
+               nyn,                                                                                &
+               nys,                                                                                &
+               nz
 
     USE kinds
-
-    USE pegrid
-
-    USE transpose_indices,                                                     &
-        ONLY:  nyn_x, nys_x, nzb_x, nzt_x
 
     IMPLICIT NONE
@@ -921,15 +921,88 @@
     INTEGER(iwp) ::  j  !<
     INTEGER(iwp) ::  k  !<
-#if defined( __parallel )
-    INTEGER(iwp) ::  l  !<
-    INTEGER(iwp) ::  mm !<
-    INTEGER(iwp) ::  xs !<
-#endif
-
-    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz)         !<
-    REAL(wp) ::  f_out(0:nx,nys_x:nyn_x,nzb_x:nzt_x) !<
-
-#if defined( __parallel )
-    REAL(wp), DIMENSION(nys_x:nyn_x,nnx,nzb_x:nzt_x,0:pdims(1)-1) ::  work !<
+
+    REAL(wp) ::  f_in(1:nz,nys:nyn,nxl:nxr)   !<
+    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz)  !<
+
+!
+!-- Rearrange indices of input array in order to make data to be send by MPI contiguous.
+   !$OMP  PARALLEL PRIVATE ( i, j, k )
+   !$OMP  DO
+#if __acc_fft_device
+   !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
+   !$ACC PRESENT(f_in, f_inv)
+#endif
+    DO  i = nxl, nxr
+        DO  j = nys, nyn
+            DO  k = 1,nz
+               f_inv(j,i,k) = f_in(k,j,i)
+            ENDDO
+        ENDDO
+    ENDDO
+    !$OMP  END PARALLEL
+
+ END SUBROUTINE resort_for_zx
+
+
+!--------------------------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Transposition of input array (f_in) from z to x. For the input array, all elements along z reside
+!> on the same PE, while after transposition, all elements along x reside on the same PE.
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE transpose_zx( f_inv, f_out )
+
+
+#if defined( __parallel )
+    USE cpulog,                                                                                    &
+        ONLY:  cpu_log,                                                                            &
+               cpu_log_nowait,                                                                     &
+               log_point_s
+
+    USE fft_xy,                                                                                    &
+        ONLY:  f_vec_x,                                                                            &
+               temperton_fft_vec
+#endif
+
+    USE indices,                                                                                   &
+        ONLY:  nx,                                                                                 &
+               nxl,                                                                                &
+               nxr,                                                                                &
+               nyn,                                                                                &
+               nys,                                                                                &
+               nz
+
+#if defined( __parallel )
+    USE indices,                                                                                   &
+        ONLY:  nnx
+#endif
+
+    USE kinds
+
+    USE pegrid
+
+    USE transpose_indices,                                                                         &
+        ONLY:  nyn_x,                                                                              &
+               nys_x,                                                                              &
+               nzb_x,                                                                              &
+               nzt_x
+
+    IMPLICIT NONE
+
+    INTEGER(iwp) ::  i  !<
+    INTEGER(iwp) ::  j  !<
+    INTEGER(iwp) ::  k  !<
+
+#if defined( __parallel )
+    INTEGER(iwp) ::  l   !<
+    INTEGER(iwp) ::  mm  !<
+    INTEGER(iwp) ::  xs  !<
+#endif
+
+    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz)          !<
+    REAL(wp) ::  f_out(0:nx,nys_x:nyn_x,nzb_x:nzt_x)  !<
+
+#if defined( __parallel )
+    REAL(wp), DIMENSION(nys_x:nyn_x,nnx,nzb_x:nzt_x,0:pdims(1)-1) ::  work  !<
 #if __acc_fft_device
     !$ACC DECLARE CREATE(work)
@@ -939,6 +1012,6 @@
 
 !
-!-- If the PE grid is one-dimensional along y, only local reordering
-!-- of the data is necessary and no transposition has to be done.
+!-- If the PE grid is one-dimensional along y, only local reordering of the data is necessary and no
+!-- transposition has to be done.
     IF ( pdims(1) == 1 )  THEN
 
@@ -974,7 +1047,6 @@
 
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLTOALL( f_inv(nys,nxl,1),      sendrecvcount_zx, MPI_REAL, &
-                          work(nys_x,1,nzb_x,0), sendrecvcount_zx, MPI_REAL, &
-                          comm1dx, ierr )
+       CALL MPI_ALLTOALL( f_inv(nys,nxl,1),      sendrecvcount_zx, MPI_REAL,                       &
+                          work(nys_x,1,nzb_x,0), sendrecvcount_zx, MPI_REAL, comm1dx, ierr )
 
 #if __acc_fft_device
@@ -1036,76 +1108,23 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Resorting data after the transposition from z to y. The transposition itself
-!> is carried out in transpose_zy
-!------------------------------------------------------------------------------!
+!> Resorting data after the transposition from z to y. The transposition itself is carried out in
+!> transpose_zy.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE resort_for_zy( f_inv, f_out )
 
 
-     USE indices,                                                              &
-         ONLY:  ny
-
-     USE kinds
-
-     USE transpose_indices,                                                    &
-         ONLY:  nxl_y, nxr_y, nzb_y, nzt_y
-
-     IMPLICIT NONE
-
-     REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny) !<
-     REAL(wp) ::  f_out(0:ny,nxl_y:nxr_y,nzb_y:nzt_y) !<
-
-
-     INTEGER(iwp) ::  i !<
-     INTEGER(iwp) ::  j !<
-     INTEGER(iwp) ::  k !<
-
-!
-!-- Rearrange indices of input array in order to make data to be send
-!-- by MPI contiguous
-    !$OMP  PARALLEL PRIVATE ( i, j, k )
-    !$OMP  DO
-#if __acc_fft_device
-    !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
-    !$ACC PRESENT(f_out, f_inv)
-#endif
-     DO  k = nzb_y, nzt_y
-         DO  i = nxl_y, nxr_y
-             DO  j = 0, ny
-                 f_out(j,i,k) = f_inv(i,k,j)
-             ENDDO
-         ENDDO
-     ENDDO
-     !$OMP  END PARALLEL
-
- END SUBROUTINE resort_for_zy
-
-
-!------------------------------------------------------------------------------!
-! Description:cpu_log_nowait
-! ------------
-!> Transposition of input array (f_in) from z to y. For the input array, all
-!> elements along z reside on the same PE, while after transposition, all
-!> elements along y reside on the same PE.
-!------------------------------------------------------------------------------!
- SUBROUTINE transpose_zy( f_in, f_inv )
-
-
-#if defined( __parallel )
-    USE cpulog,                                                                &
-        ONLY:  cpu_log, cpu_log_nowait, log_point_s
-#endif
-
-    USE indices,                                                               &
-        ONLY:  ny, nz
+    USE indices,                                                                                   &
+        ONLY:  ny
 
     USE kinds
 
-    USE pegrid
-
-    USE transpose_indices,                                                     &
-        ONLY:  nxl_y, nxl_z, nxr_y, nxr_z, nyn_z, nys_z, nzb_y, nzt_y
+    USE transpose_indices,                                                                         &
+        ONLY:  nxl_y,                                                                              &
+               nxr_y,                                                                              &
+               nzb_y,                                                                              &
+               nzt_y
 
     IMPLICIT NONE
@@ -1114,14 +1133,78 @@
     INTEGER(iwp) ::  j  !<
     INTEGER(iwp) ::  k  !<
-#if defined( __parallel )
-    INTEGER(iwp) ::  l  !<
-    INTEGER(iwp) ::  zs !<
-#endif
-
-    REAL(wp) ::  f_in(nxl_z:nxr_z,nys_z:nyn_z,1:nz)  !<
-    REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny) !<
-
-#if defined( __parallel )
-    REAL(wp), DIMENSION(nxl_z:nxr_z,nzt_y-nzb_y+1,nys_z:nyn_z,0:pdims(1)-1) ::  work !<
+
+    REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny)  !<
+    REAL(wp) ::  f_out(0:ny,nxl_y:nxr_y,nzb_y:nzt_y)  !<
+
+!
+!-- Rearrange indices of input array in order to make data to be send by MPI contiguous.
+    !$OMP  PARALLEL PRIVATE ( i, j, k )
+    !$OMP  DO
+#if __acc_fft_device
+    !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i,j,k) &
+    !$ACC PRESENT(f_out, f_inv)
+#endif
+    DO  k = nzb_y, nzt_y
+        DO  i = nxl_y, nxr_y
+            DO  j = 0, ny
+               f_out(j,i,k) = f_inv(i,k,j)
+            ENDDO
+        ENDDO
+    ENDDO
+    !$OMP  END PARALLEL
+
+ END SUBROUTINE resort_for_zy
+
+
+!--------------------------------------------------------------------------------------------------!
+! Description:cpu_log_nowait
+! ------------
+!> Transposition of input array (f_in) from z to y. For the input array, all elements along z reside
+!> on the same PE, while after transposition, all elements along y reside on the same PE.
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE transpose_zy( f_in, f_inv )
+
+
+#if defined( __parallel )
+    USE cpulog,                                                                                    &
+        ONLY:  cpu_log,                                                                            &
+               cpu_log_nowait,                                                                     &
+               log_point_s
+#endif
+
+    USE indices,                                                                                   &
+        ONLY:  ny,                                                                                 &
+               nz
+
+    USE kinds
+
+    USE pegrid
+
+    USE transpose_indices,                                                                         &
+        ONLY:  nxl_y,                                                                              &
+               nxl_z,                                                                              &
+               nxr_y,                                                                              &
+               nxr_z,                                                                              &
+               nyn_z,                                                                              &
+               nys_z,                                                                              &
+               nzb_y,                                                                              &
+               nzt_y
+
+    IMPLICIT NONE
+
+    INTEGER(iwp) ::  i  !<
+    INTEGER(iwp) ::  j  !<
+    INTEGER(iwp) ::  k  !<
+
+#if defined( __parallel )
+    INTEGER(iwp) ::  l   !<
+    INTEGER(iwp) ::  zs  !<
+#endif
+
+    REAL(wp) ::  f_in(nxl_z:nxr_z,nys_z:nyn_z,1:nz)   !<
+    REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny)  !<
+
+#if defined( __parallel )
+    REAL(wp), DIMENSION(nxl_z:nxr_z,nzt_y-nzb_y+1,nys_z:nyn_z,0:pdims(1)-1) ::  work  !<
 #if __acc_fft_device
     !$ACC DECLARE CREATE(work)
@@ -1130,6 +1213,6 @@
 
 !
-!-- If the PE grid is one-dimensional along y, the array has only to be
-!-- reordered locally and therefore no transposition has to be done.
+!-- If the PE grid is one-dimensional along y, the array has only to be reordered locally and
+!-- therefore no transposition has to be done.
     IF ( pdims(1) /= 1 )  THEN
 
@@ -1169,7 +1252,6 @@
 
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       CALL MPI_ALLTOALL( work(nxl_z,1,nys_z,0), sendrecvcount_yz, MPI_REAL, &
-                          f_inv(nxl_y,nzb_y,0),  sendrecvcount_yz, MPI_REAL, &
-                          comm1dx, ierr )
+       CALL MPI_ALLTOALL( work(nxl_z,1,nys_z,0), sendrecvcount_yz, MPI_REAL,                       &
+                          f_inv(nxl_y,nzb_y,0),  sendrecvcount_yz, MPI_REAL, comm1dx, ierr )
 
 #if __acc_fft_device
@@ -1207,22 +1289,29 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Transposition of input array (f_in) from z to y. For the input array, all
-!> elements along z reside on the same PE, while after transposition, all
-!> elements along y reside on the same PE.
-!> This is a direct transposition for arrays with indices in regular order
-!> (k,j,i) (cf. transpose_zy).
-!------------------------------------------------------------------------------!
+!> Transposition of input array (f_in) from z to y. For the input array, all elements along z reside
+!> on the same PE, while after transposition, all elements along y reside on the same PE. This is a
+!> direct transposition for arrays with indices in regular order (k,j,i) (cf. transpose_zy).
+!--------------------------------------------------------------------------------------------------!
 #if defined( __parallel )
  SUBROUTINE transpose_zyd( f_in, f_out )
 
 
-    USE cpulog,                                                                &
-        ONLY:  cpu_log, log_point_s
-
-    USE indices,                                                               &
-        ONLY:  nnx, nny, nnz, nxl, nxr, nyn, nys, ny, nz
+    USE cpulog,                                                                                    &
+        ONLY:  cpu_log,                                                                            &
+               log_point_s
+
+    USE indices,                                                                                   &
+        ONLY:  nnx,                                                                                &
+               nny,                                                                                &
+               nnz,                                                                                &
+               nxl,                                                                                &
+               nxr,                                                                                &
+               nyn,                                                                                &
+               nys,                                                                                &
+               ny,                                                                                 &
+               nz
 
     USE kinds
@@ -1230,24 +1319,26 @@
     USE pegrid
 
-    USE transpose_indices,                                                     &
-        ONLY:  nxl_yd, nxr_yd, nzb_yd, nzt_yd
+    USE transpose_indices,                                                                         &
+        ONLY:  nxl_yd,                                                                             &
+               nxr_yd,                                                                             &
+               nzb_yd,                                                                             &
+               nzt_yd
 
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i  !<
-    INTEGER(iwp) ::  j  !<
-    INTEGER(iwp) ::  k  !<
-    INTEGER(iwp) ::  l  !<
-    INTEGER(iwp) ::  m  !<
-    INTEGER(iwp) ::  ys !<
-
-    REAL(wp) ::  f_in(1:nz,nys:nyn,nxl:nxr)              !<
-    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz)             !<
-    REAL(wp) ::  f_out(0:ny,nxl_yd:nxr_yd,nzb_yd:nzt_yd) !<
-    REAL(wp) ::  work(nnx*nny*nnz)                       !<
-
-!
-!-- Rearrange indices of input array in order to make data to be send
-!-- by MPI contiguous
+    INTEGER(iwp) ::  i   !<
+    INTEGER(iwp) ::  j   !<
+    INTEGER(iwp) ::  k   !<
+    INTEGER(iwp) ::  l   !<
+    INTEGER(iwp) ::  m   !<
+    INTEGER(iwp) ::  ys  !<
+
+    REAL(wp) ::  f_in(1:nz,nys:nyn,nxl:nxr)               !<
+    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz)              !<
+    REAL(wp) ::  f_out(0:ny,nxl_yd:nxr_yd,nzb_yd:nzt_yd)  !<
+    REAL(wp) ::  work(nnx*nny*nnz)                        !<
+
+!
+!-- Rearrange indices of input array in order to make data to be send by MPI contiguous.
     DO  i = nxl, nxr
        DO  j = nys, nyn
@@ -1259,8 +1350,7 @@
 
 !
-!-- Move data to different array, because memory location of work1 is
-!-- needed further below (work1 = work2).
-!-- If the PE grid is one-dimensional along x, only local reordering
-!-- of the data is necessary and no transposition has to be done.
+!-- Move data to different array, because memory location of work1 is needed further below
+!-- (work1 = work2). If the PE grid is one-dimensional along x, only local reordering of the data is
+!-- necessary and no transposition has to be done.
     IF ( pdims(2) == 1 )  THEN
        DO  k = 1, nz
@@ -1278,7 +1368,6 @@
     CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'start' )
     IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-    CALL MPI_ALLTOALL( f_inv(nys,nxl,1), sendrecvcount_zyd, MPI_REAL, &
-                       work(1),          sendrecvcount_zyd, MPI_REAL, &
-                       comm1dy, ierr )
+    CALL MPI_ALLTOALL( f_inv(nys,nxl,1), sendrecvcount_zyd, MPI_REAL,                              &
+                       work(1), sendrecvcount_zyd, MPI_REAL, comm1dy, ierr )
     CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'stop' )
 
